<div class="wrap">
<h2>MuCash Settings</h2>
<p>Don't have a MuCash account yet?  <a target="_blank" href="<?php echo MUCASH_URL; ?>/account/signup?onsuccess=%2Faccount%2Fsites%2Fadd">Sign up here first</a>.</p>
<form method="post" action="options.php">
<?php settings_fields(MuCashWP::S_SECTION_MAIN); ?>
<table class="form-table">
<tr valign="top">
  <th scope="row">Site ID</th>
  <td><input type="text" name="mucash_merchant_id" value="<?php echo get_option(MuCashWP::S_MERCHANT_ID); ?>"/></td>
</tr>
<tr valign="top">
  <th scope="row">API Key</th>
  <td><input type="text" name="mucash_api_key" size="40" value="<?php echo get_option(MuCashWP::S_API_KEY); ?>"/></td>
</tr>
<tr valign="top">
  <th scope="row">Per-Post Donations</th>
  <td>
    <select name="mucash_donation_type">
      <?php
          $vals = array(
          	MuCashWP::DT_COMMENT => "With comments (recommended if you use Wordpress comments)",
            MuCashWP::DT_BUTTON => "Donate button (recommended if you use other systems like Disqus)",
            MuCashWP::DT_DISABLED => "Disable per-post donations"
          );

          $current = get_option(MuCashWP::S_DONATION_TYPE);
          foreach($vals as $name => $label) {
              $selected = ($current == $name ? 'selected="selected"' : '');
              echo "<option value='$name' $selected>$label</option>\n";
          }
      ?>
    </select>
</tr>
</table>
<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="mucash_merchant_id,mucash_api_key,mucash_donation_type" />

<p class="submit">
<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>
</form>
</div>
